For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DonorAtlasDashboard
  • Getting Started
    • Welcome
    • Authentication
    • Quickstart
  • Guides
    • Donor Profile Schema
    • Network
    • Credits & Billing
    • Error Handling
  • API Reference
      • POSTSubmit person records for enhancement
      • POSTGet progress for multiple enhancements
      • GETGet enhancement progress
      • POSTGet enhancement results
LogoLogo
DonorAtlasDashboard
API ReferenceEnhance

Submit person records for enhancement

POST
https://api.donoratlas.com/v1/partners/enhancements
POST
/v1/partners/enhancements
$curl -X POST https://api.donoratlas.com/v1/partners/enhancements \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "persons": [
> {
> "name": {
> "first": "John",
> "last": "Smith",
> "middle": "A"
> },
> "tracking_id": "person_12345",
> "addresses": [
> "123 Main St, Boston, MA 02101"
> ],
> "emails": [
> "john.smith@example.com"
> ],
> "phones": [
> "5551234567"
> ],
> "employers": [
> "Acme Corporation"
> ],
> "schools": [
> "Harvard University"
> ]
> }
> ]
>}'
1{
2 "enhancements": {
3 "contact_12345": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6"
4 },
5 "meta": {
6 "requested": 10,
7 "processed": 10,
8 "enhancements_charged": 10,
9 "enhancements_remaining": 990,
10 "partial": false
11 }
12}

Submit a list of person records to enhance with DonorAtlas data. Maximum: 100 person records per request. For larger batches, split them into multiple requests.

Was this page helpful?
Previous

Get progress for multiple enhancements

Next
Built with

Authentication

x-api-keystring

Your DonorAtlas API key. Contact support@donoratlas.com to get started.

Request

This endpoint expects an object.
personslist of objectsRequired
The person records to enhance

Response

Successful Response
enhancementsmap from strings to strings
A mapping from your tracking IDs to DonorAtlas enhancement IDs
metaobject
Metadata about the request

Errors

422
Unprocessable Entity Error